Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.services.configuration
Class FieldConfigGroup

    java.lang.Object
      com.sun.mdm.index.edm.services.configuration.FieldConfigGroup

All Implemented Interfaces:
  java.io.Serializable

public class FieldConfigGroup
extends java.lang.Object
implements java.io.Serializable

Model field groups

See Also:
  Serialized Form

Constructor Summary
`FieldConfigGroup(java.lang.String description, java.util.ArrayList fieldConfigs)` Constructor for the FieldGroupConfig object
`FieldConfigGroup(java.lang.String description, FieldConfig[] fieldConfigs)` Constructor for the FieldGroupConfig object

Method Summary
`java.lang.String` | `getDescription()` Getter for mDescription attribute.
`java.util.ArrayList` | `getFieldConfigs()` Getter for mFieldConfigs attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldConfigGroup

    public FieldConfigGroup(java.lang.String description,
                            java.util.ArrayList fieldConfigs)

  Constructor for the FieldGroupConfig object

  Parameters:
    `description` - Description for this group of FieldConfig objects.
    `fieldConfigs` - ArrayList of FieldConfig objects.

### FieldConfigGroup

    public FieldConfigGroup(java.lang.String description,
                            FieldConfig[] fieldConfigs)

  Constructor for the FieldGroupConfig object

  Parameters:
    `description` - Description for this group of FieldConfig objects.
    `fieldConfigs` - ArrayList of FieldConfig objects.

Method Detail

### getDescription

    public java.lang.String getDescription()

  Getter for mDescription attribute.

  Returns:
    value of the mDescription attribute.

### getFieldConfigs

    public java.util.ArrayList getFieldConfigs()

  Getter for mFieldConfigs attribute.

  Returns:
    an ArrayList of FieldConfig objects.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.